ping_iterator_get(3)

NAME
ping_iterator_get, ping_iterator_next - Iterate over all hosts of a liboping object

SYNOPSIS
  #include <oping.h>

  pingobj_iter_t *ping_iterator_get (pingobj_t *obj);
  pingobj_iter_t *ping_iterator_next (pingobj_iter_t *iter)

DESCRIPTION
These two functions can be used to iterate over all hosts associated with a liboping object. You can use these methods as follows:

  pingobj_iter_t *iter;

  for (iter = ping_iterator_get (obj);
       iter != NULL;
       iter = ping_iterator_next (iter))
  {
    ...;
  }

To get usable information from an iterator object (which is also an opaque data type, just like the liboping object itself) use ping_iterator_get_info(3) and ping_iterator_get_context(3).

RETURN VALUE
The ping_iterator_get returns an iterator for obj or NULL if no host is associated with obj.

The ping_iterator_next returns an iterator for the host following iter or NULL if the last host has been reached.

SEE ALSO
ping_host_add(3), ping_iterator_get_info(3), ping_iterator_get_context(3), liboping(3)

AUTHOR
liboping is written by Florian "octo" Forster <ff at octo.it>. Its homepage can be found at <http://noping.cc/>.

Copyright (c) 2006-2017 by Florian "octo" Forster.